Bug 6212

Summary: Small display problems in OPAC results
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: normal    
Priority: PATCH-Sent (DO NOT USE) CC: chris
Version: master   
Hardware: All   
OS: All   
URL: /cgi-bin/koha/opac-search.pl?q=bodensee
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 6231    
Bug Blocks: 5917    
Attachments: screenshot
screenshot of details - OK
screenshot of result list - links missing!

Description Katrin Fischer 2011-04-20 06:01:33 UTC
Created attachment 3954 [details]
screenshot

In OPAC's result list with XSLT on and Tagging on result list deactivated you alwas see the Tags: label.

This problem remains when switching back to normal view for OPAC results.

Another problem is Online resources: not showing the link, although it's shown correctly in the detail view.
Comment 1 Chris Cormack 2011-04-20 08:14:48 UTC
For the tags, what value do you have set for TagsShowOnList
If I set it to 0, the label goes away.
Comment 2 Owen Leonard 2011-04-20 14:38:27 UTC
I see what Cait sees too:

- OPACXSLTResultsDisplay on or off
- TagsInputOnList off

"Tags:" label appears whether or not there are tags.
Comment 3 Chris Cormack 2011-04-20 15:48:31 UTC
Yes, that preference does control whether you see tags, just whether you can input them on the results page.

If you don't want tags to show you have to edit TagsShowOnList. TagsInputOnlist just controls if you get an input box or not
Comment 4 Owen Leonard 2011-04-20 16:07:29 UTC
Chris, see the screenshot. It isn't correct that the "Tags: " label appears at the start of a blank line, i.e. for titles without any tags. It works properly in the html_template_pro branch.
Comment 5 Chris Cormack 2011-04-20 16:12:41 UTC
Right, all im saying is that Input one doesnt control whether tags show or not, just whether the input box does.
It's a red herring for whoever writes the patch.
Comment 6 Chris Cormack 2011-04-20 16:14:46 UTC
% IF ( SEARCH_RESULT.TagLoop ) %]                                                         
                                    <div class="results_summary">                                                          
                                        <span class="label">Tags:</span>  

So its not any syspref that is contolling whether it shows or not.
Comment 7 Chris Cormack 2011-04-20 16:18:05 UTC
Actually

 [% IF ( TagsShowOnList ) %]                                                                
                                [% IF ( SEARCH_RESULT.TagLoop ) %]                                                         
                                    <div class="results_summary">                                                          
                                        <span class="label">Tags:</span>
Comment 8 Chris Cormack 2011-04-20 16:21:42 UTC
AHh spotted it it needs to be
% IF ( SEARCH_RESULT.TagLoop.size ) %] 

Because TagLoop does exist, its just empty.

Ill send a patch in the morning, if no one else beats me, now the baby is back asleep thats where im going.
Comment 9 Chris Cormack 2011-04-20 21:35:23 UTC
No one beat me, so ill patch it myself ;)
Comment 10 Chris Cormack 2011-04-20 22:06:03 UTC
Pushed, please test
Comment 11 Katrin Fischer 2011-04-21 10:37:42 UTC
Created attachment 3965 [details]
screenshot of details - OK
Comment 12 Katrin Fischer 2011-04-21 10:38:39 UTC
Created attachment 3966 [details]
screenshot of result list - links missing!
Comment 13 Katrin Fischer 2011-04-21 11:05:24 UTC
It seems there is a problem with the system preferences passed to the xslt stylesheets. I tried:

URLLinkText - no change in results (stil missing) and details
OPACURLOpenInNewWindow - no change in results (still missing) and details
Comment 14 Katrin Fischer 2011-04-21 11:21:43 UTC
Short update: The links display is constructed slightly different in staff and opac. In OPAC link for online ressoucres is all wrapped into checks for system preferences. When I comment one of this checks out, my URLs show up.
Comment 15 Katrin Fischer 2011-04-25 19:14:13 UTC
Works in 3.4